valgrind-di-server
1
Release &rel-version;

# valgrind-di-server

Experimental debuginfo server for valgrind

      valgrind-di-server
      options

## Description

`valgrind-di-server` accepts (multiple) connections from `valgrind` processes that use the `--debuginfo-server` option on the specified port and serves (compressed) debuginfo files (in chunks) from the current working directory.

## Options

`-e --exit-at-zero`

  When the number of connected processes falls back to zero, exit. Without this, it will run forever, that is, until you send it Control-C.

`--max-connect=INTEGER`

  By default, the server can connect to up to 50 processes. Occasionally, that number is too small. Use this option to provide a different limit. E.g. `--max-connect=100`.

`portnumber`

  Changes the port it listens on from the default (1500). The specified port must be in the range 1024 to 65535. The same restriction applies to port numbers specified by the `--debuginfo-server` option to Valgrind itself.

## See Also

valgrind(1), `&vg-docs-path;` or `&vg-docs-url;`.

## Author

Julian Seward.